using System;

namespace Afgang
{
	public class Tid {
		//Felter
		private int timer, minutter;
		//Konstruktr
		public Tid(int timer, int minutter) {
			this.timer = timer;
			this.minutter = minutter;
		}
		public Tid(int timer):this(timer, 0) {}
		public Tid():this(0, 0) {}
			
		//Properties
		public int Timer {
			get{return timer;}
			set{timer = value;}
		}
		public int Minutter {
			get{return minutter;}
			set{minutter = value;}
		}
		//Metoder
		public void nsteTime() {
			timer = ++timer % 24;
		}
		public void nsteMinut() {
			minutter = ++minutter % 60;
			if (minutter == 0) {
				nsteTime();
			}
		}
		public override string ToString() {
//			string tmp = "";
//			if (timer < 10)
//				tmp += "0";
//			tmp += timer.ToString();
//			tmp += ":";
//			if (minutter < 10)
//				tmp += "0";
//			tmp += minutter.ToString();
//			return tmp;
			return String.Format("{0:D2}:{1:D2}", timer, minutter);
			// return timer + ":" + minutter;
		}
	}
}
